Mailinglist Archive: opensuse-updates (68 mails)

< Previous Next >
openSUSE-SU-2014:0530-1: moderate: update for curl
openSUSE Security Update: update for curl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0530-1
Rating: moderate
References: #868627 #868629
Cross-References: CVE-2014-0138 CVE-2014-0139 CVE-2014-138 CVE-2014-139

Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

Curl was updated to fix following problems: CVE-2014-0138:
libcurl wrong re-use of connections CVE-2014-0139: libcurl
IP address wildcard certificate validation


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2014-47

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

curl-7.21.2-45.1
curl-debuginfo-7.21.2-45.1
libcurl-devel-7.21.2-45.1
libcurl4-7.21.2-45.1

- openSUSE 11.4 (x86_64):

libcurl4-32bit-7.21.2-45.1
libcurl4-debuginfo-32bit-7.21.2-45.1

- openSUSE 11.4 (ia64):

libcurl4-debuginfo-x86-7.21.2-45.1
libcurl4-x86-7.21.2-45.1

- openSUSE 11.4 (i586):

libcurl4-debuginfo-7.21.2-45.1


References:

http://support.novell.com/security/cve/CVE-2014-0138.html
http://support.novell.com/security/cve/CVE-2014-0139.html
http://support.novell.com/security/cve/CVE-2014-138.html
http://support.novell.com/security/cve/CVE-2014-139.html
https://bugzilla.novell.com/868627
https://bugzilla.novell.com/868629


< Previous Next >
This Thread
  • No further messages